Bug 1588206

Summary: SELinux is preventing abrt-action-gen from 'map' accesses on the file /home/fedora/.dropbox-dist/dropbox-lnx.x86_64-50.3.69/_functools.so.
Product: [Fedora] Fedora Reporter: Vanoywj <jiabanster>
Component: selinux-policyAssignee: Lukas Vrabec <lvrabec>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 28CC: dwalsh, lvrabec, mgrepl, plautrba, pmoore
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:a359ae38bd108094880bb61122fa669ae712a9c5e7ecf1c69d1fced18022f80d;
Fixed In Version: selinux-policy-3.14.1-36.fc28 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-07-29 03:22:59 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Vanoywj 2018-06-06 23:31:58 UTC
Description of problem:
SELinux is preventing abrt-action-gen from 'map' accesses on the file /home/fedora_yovan/.dropbox-dist/dropbox-lnx.x86_64-50.3.69/_functools.so.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that abrt-action-gen should be allowed map access on the _functools.so file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'abrt-action-gen' --raw | audit2allow -M my-abrtactiongen
# semodule -X 300 -i my-abrtactiongen.pp

Additional Information:
Source Context                system_u:system_r:abrt_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:user_home_t:s0
Target Objects                /home/fedora_yovan/.dropbox-dist/dropbox-
                              lnx.x86_64-50.3.69/_functools.so [ file ]
Source                        abrt-action-gen
Source Path                   abrt-action-gen
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.14.1-24.fc28.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.16.8-300.fc28.x86_64 #1 SMP Wed
                              May 9 20:23:40 UTC 2018 x86_64 x86_64
Alert Count                   2
First Seen                    2018-05-19 13:04:35 +08
Last Seen                     2018-05-19 13:04:41 +08
Local ID                      31fd3585-0589-4f69-976f-d40994288a72

Raw Audit Messages
type=AVC msg=audit(1526706281.367:436): avc:  denied  { map } for  pid=13692 comm="eu-unstrip" path="/home/fedora_yovan/.dropbox-dist/dropbox-lnx.x86_64-50.3.69/_functools.so" dev="sda9" ino=927314 scontext=system_u:system_r:abrt_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file permissive=1


Hash: abrt-action-gen,abrt_t,user_home_t,file,map

Version-Release number of selected component:
selinux-policy-3.14.1-24.fc28.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.5
hashmarkername: setroubleshoot
kernel:         4.16.12-300.fc28.x86_64
type:           libreport

Potential duplicate: bug 1551380

Comment 1 Fedora Update System 2018-07-25 22:28:40 UTC
selinux-policy-3.14.1-36.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1050fb248b

Comment 2 Fedora Update System 2018-07-26 16:31:03 UTC
selinux-policy-3.14.1-36.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1050fb248b

Comment 3 Fedora Update System 2018-07-29 03:22:59 UTC
selinux-policy-3.14.1-36.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.